VPS侦探论坛

 找回密码
 注册
搜索
热搜: pathinfo
查看: 686|回复: 2

PHP升级失败,请军哥帮忙看看

[复制链接]
发表于 2018-4-21 17:18:33 | 显示全部楼层 |阅读模式


1.1完整版升级到1.4,然后升级php到5.6.35

最后一部分错误提示是这样的:
  1. Write ZendGuardLoader to php.ini......
  2. Download Opcache Control Panel...
  3. Creating new php-fpm configure file......
  4. Copy php-fpm init.d file......
  5. cp: cannot stat `/root/lnmp1.4/src/php-5.6.35/sapi/fpm/init.d.php-fpm': No such file or directory
  6. chmod: cannot access `/etc/init.d/php-fpm': No such file or directory
  7. +-------------------------------------------+
  8. |    Manager for LNMP, Written by Licess    |
  9. +-------------------------------------------+
  10. |              https://lnmp.org             |
  11. +-------------------------------------------+
  12. Starting LNMP...
  13. Starting nginx...  done
  14. Starting MySQL. SUCCESS!
  15. /bin/lnmp: line 27: /etc/init.d/php-fpm: No such file or directory
  16. ======== upgrade php failed ======
  17. upgrade php log: /root/upgrade_lnmp_php.log
  18. You upload upgrade_lnmp_php.log to LNMP Forum for help.
复制代码

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org/
 楼主| 发表于 2018-4-21 17:48:55 | 显示全部楼层



用在1.1目录下的升级命令./upgrade_php.sh已经解决,打扰大家了。谢谢。请军哥把帖子关闭了吧。谢谢
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2018-4-21 19:18:32 | 显示全部楼层

1.4是比1.1多了一些php扩展组件,肯定是没法直接用,用1.5的话是肯定没问题的,这方面都有加强
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org/
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2019-5-23 16:24 , Processed in 0.045090 second(s), 27 queries .

Powered by Discuz! X3.4

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表